BGLAFILE(1)

NAME
Bglafile - a Module Access File Generator

SYNOPSIS
bglafile [ options ] file ...

DESCRIPTION
Bglafile is a Module Access File generator. It produces file that suits Bigloo option -afile. A Module Access File is a scheme list. Each elements of that list is a list of at least two elements: a module name, the file that implements that module. For BEE (the Bigloo Integrated Development Environment) to be able to retrieve files from module names, it is mandatory that the first parentheses of the global list is left alone on one line.

OPTIONS

file
    Is an file implementing a module. Bglafile reads that file to discover the name of the implemented module.

-v  Verbose mode

-o <file>
    Print Module Access File into file. The default is to print the list on the standard output device.

-suffix <suf>
    Adds suf to the bglafile source file suffixes list. Default suffixes are "scm", "sch" and "bgl".

EXAMPLE
If the three files exists and contain legal Bigloo module clause, then:
   $ bglafile foo.scm bar.scm gee.scm could print out a list like: ;; foo

;; Tue Aug 15 12:17:24 1998

(

  (foo "foo.scm")

  (bar "bar.scm")

  (gee "gee.scm")

)

SEE ALSO
bigloo(1), bgldepend(1), bglmake(1), bglpp(1), bglprof(1), bgltags(1)

AUTHOR
Manuel SERRANO, Manuel.Serrano@inria.fr